Get default warehouse location - Fabric

Get default warehouse location

cURL

curl --request GET \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-inventory/warehouse/default \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-inventory/warehouse/default"

headers = {"x-site-context": "<x-site-context>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-inventory/warehouse/default', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Status Codes

Response Structure

{
  "_id": "5f46c5e728539eb8e069178a",
  "channel": [12],
  "isActive": true,
  "isDefault": true,
  "name": "Bellevue Warehouse Main22",
  "address": {
    "attention": "John Smith",
    "street1": "10400 NE 4th St",
    "street2": "Suite 2500",
    "city": "Bellevue",
    "state": "Washington",
    "country": "US",
    "zipCode": "98005",
    "phone": [
      {"_id": "5f46d1b628539eb8e069178c", "number": "555-555-5555", "kind": "mobile", "id": "5f46d1b628539eb8e069178c"}
    ],
    "email": "info@fabric.inc",
    "kind": "Main Docks"
  },
  "kind": "Warehouse",
  "locationId": 109,
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z",
  "__v": 0,
  "shortName": "TAG_ABC1234"
}

Error Response Example

{
  "code": "NO_DEFAULT_LOCATION",
  "message": "Location not found"
}

Required Headers

The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"